## libogg 1.1.3-2.tk2

=== debian/changelog ===
libogg (1:1.1.3-2.tk2) unstable; urgency=low

  * Added epoch to have greater version number than what
    repository.maemo.org/extras has.
  * DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 25 Apr 2008 17:46:56 +0300

libogg (1.1.3-2.tk1) unstable; urgency=low

  * DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s

 -- Tuomas Kulve <tuomas@kulve.fi>  Wed,  7 Feb 2007 11:31:56 +0200

libogg (1.1.3-2) unstable; urgency=low

  * Unbreak shlibs (bad argument to dh_makeshlibs; stick to plain -V). 

  * Install CHANGES from tarball as upstream changelog.

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 20 Jan 2006 02:56:23 +0100

libogg (1.1.3-1) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * New upstream release packaged. (Closes: #342577)

    As noted in README.Debian-source, the files rfc3533.txt and rfc3534.txt
    have been removed from the doc/ subdirectory for their non-free license.

  * Move HTML documentation from /usr/share/doc/libogg-dev itself to an html/
    subdirectory of it. As it happens, this closes: #300680.

  * Update debian/control:
    + drop unnecessary build-dependencies on gawk and devscripts.
    + drop version restriction on debhelper build-dependency, since it's
      already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management. (This
    closes: #347418, FTBFS with the previous rules file and the new make.)

  * Add debian/compat file, instead of exporting DH_COMPAT.

  * debian/patches:
    + external_rfc_links.diff: patch HTML documentation to reference external
      RFCs instead of local copies, and doc/Makefile.* not to install them,
      since these are not present in the Debian repacked tarball.

  * Update download URL in debian/copyright.

  * Add debian/watch file.

  * Bumped Standards-Version to 3.6.2 (no changes required).

  * Drop useless/empty libao2/README.Debian.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 18 Jan 2006 04:08:36 +0100

libogg (1.1.2-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 21:00:00 -0600

libogg (1.1.0-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Sun,  7 Dec 2003 22:00:00 -0600

libogg (1.0.0-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 19 Jul 2002 09:00:00 -0500

libogg (1.0rc3-1) unstable; urgency=low

  * New upstream.
  * added autotools target (config.* updater) to rules

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 24 Dec 2001 11:00:00 -0600

libogg (1.0rc2-1) unstable; urgency=low

  * New upstream. 

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 12 Aug 2001 22:00:00 -0500

libogg (1.0rc1-1) unstable; urgency=low

  * New upstream.
  * Updated config.* files (Closes: #94816)
  * Changed clean to distclean.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 17 Jun 2001 20:00:00 -0500

libogg (1.0beta4-1) unstable; urgency=low

  *  New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 26 Feb 2001 08:00:00 -0600

libogg (1.0beta3-3) unstable; urgency=low

  * Fixed Sections.
  * Updated to Standards-Version to 3.5.1.0

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 17 Feb 2001 18:00:47 -0600

libogg (1.0beta3-2) unstable; urgency=low

  * Fixed package description (closes: #78387)
  * Fixed development library package name.

 -- Christopher L Cheney <ccheney@debian.org>  Sat,  3 Feb 2001 13:11:35 -0600

libogg (1.0beta3-1) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 29 Oct 2000 01:11:57 -0500

Local variables:
mode: debian-changelog
End:
