=== debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Debian Xiph.org Maintainers <pkg-xiph-maint@lists.alioth.debian.org>
Uploaders: Christopher L Cheney <ccheney@debian.org>, Adeodato Simó <dato@net.com.org.es>
Build-Depends: autotools-dev, debhelper, quilt
Standards-Version: 3.6.2

Package: libogg0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Ogg Bitstream Library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Section: libdevel
Depends: libogg0 (= ${Source-Version}), libc6-dev
Description: Ogg Bitstream Library Development
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.
