=== debian/rules ===
#! /usr/bin/make -f

###

# Configure arguments

confflags = --prefix=/usr --enable-static

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

###

# Directory to make the build on

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

###

# CFLAGS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use vfp.
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -mfpu=vfp
endif

# Use softfp.
ifneq (,$(findstring softfp,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -mfloat-abi=softfp
endif

# Use arm1136j-s.
ifneq (,$(findstring arm1136j-s,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -mcpu=arm1136j-s
endif


###

configure: configure-stamp
configure-stamp:
	dh_testdir

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .

	#ln -sf debian/patches
	#quilt push -a || test $$? = 2

	-mkdir $(objdir)
	autoreconf -f -i && \
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" ../configure $(confflags)

	touch $@

#

build: build-stamp
build-stamp: configure-stamp
	cd $(objdir) && \
	$(MAKE)

	touch $@

#

clean:
	dh_testdir
	dh_testroot

	quilt pop -a -R || test $$? = 2

	# remove quilt cruft
	#rm -f   patches
	rm -rf .pc

	rm -f configure-stamp build-stamp install-stamp
	rm -f config.guess config.sub

	# Remove build tree
	rm -rf $(objdir)

	dh_clean

#

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --list-missing $(DH_INSTALL_EXCLUDE)
	touch $@ 

#

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_installmime
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
	@echo "Nothing to do."

#

.PHONY: configure build clean install binary binary-arch binary-indep
