=== debian/watch ===
version=3
http://downloads.xiph.org/releases/ogg/libogg-(.+)\.tar\.gz
