=== debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 8.1.3)
Standards-Version: 3.9.5.0
Homepage: http://xiph.org/ogg/
Vcs-Git: git://git.debian.org/users/ron/libogg.git
Vcs-Browser: http://git.debian.org/?p=users/ron/libogg.git;a=summary

Package: libogg0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}
Description: Ogg bitstream library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libogg0 (= ${binary:Version})
Description: Ogg bitstream library development files
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.

Package: libogg-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libogg0 (= ${binary:Version})
Description: debugging symbols for libogg
 This package provides the detached debug symbols for libogg.
