## libogg 1.3.5

=== debian/changelog ===
libogg (1.3.5-3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:06:10 +0200

libogg (1.3.5-3) unstable; urgency=medium

  * Add lintian-overrides
    + for doc/skeleton.html
    + to keep dak happy (duplicate override for various lintian versions)
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 17:04:25 +0100

libogg (1.3.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Modernize lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 11:42:20 +0100

libogg (1.3.5-1) unstable; urgency=medium

  * New upstream version 1.3.5 (Closes: #1004545)
  * Add autopkgtest

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jun 2022 14:29:29 +0200

libogg (1.3.4-2) unstable; urgency=medium

  * Drop libogg-dbg in favour of automatic dbgsym packages
  * Add watch file
  * Update Vcs-* stanzas to salsa.d.o
  * d/copyright
    + Machine readable d/copyright
    + Add "licensecheck" target to d/rules
    + Generate d/copyright_hints
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Add Build-Depends to symbols file
  * Declare that .la files are not installed by any package
  * DEP14: use standard branch names
  * Use source format 3.0 (quilt) (Closes: #1007072)
  * Bump dh-compat to 13 (Closes: #965673)
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 Jun 2022 23:12:42 +0200

libogg (1.3.4-1) unstable; urgency=medium

  * Salvaging package on behalf of the Multimedia Team (Closes: #1011278)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jun 2022 08:45:49 +0200

libogg (1.3.4-0.1) unstable; urgency=low

  [ Adrian Bunk ]
  * Non-maintainer upload.
  * New upstream release. (Closes: #894158)
    - Ships updated config.{guess,sub}. (Closes: #894207)

  [ Aurelien Jarno ]
  * Add a debian/source/lintian-overrides to override the two
    license-problem-non-free-RFC issures reported by lintian, and causing
    rejection of the package by dak.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 27 Dec 2020 01:01:04 +0100
