=== debian/control ===
Source: libogg
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Ron Lee <ron@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://xiph.org/ogg/
Vcs-Git: https://salsa.debian.org/multimedia-team/libogg.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libogg

Package: libogg0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ogg bitstream library
 Libogg is a library for manipulating ogg bitstreams.  It handles
 both making ogg bitstreams and getting packets from ogg bitstreams.

Package: libogg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libogg0 (= ${binary:Version}),
 ${misc:Depends},
Description: Ogg bitstream library development files
 The libogg-dev package contains the header files and documentation
 needed to develop applications with libogg.
