## libogg 1.3.6

=== debian/changelog ===
libogg (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * Debug symbol migration is complete
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 13:07:07 +0200
