=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --dbgsym-migration="libogg-dbg (<< 1.3.4-2~)"
-
-
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
         debian/.*|doc/.*\.png
 # licensecheck v1
