=== debian/watch ===
# Use uscan to check for newer upstream releases
version=4
opts="dversionmangle=auto" \
   https://downloads.xiph.org/releases/ogg/ @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
